Subject: Bug#1421: [X2Go-Dev] Bug#1421: journalctl flooded with ssh_channel_accept: No channel request of this type from server

From: Orion Poplawski <[email-masked]>
Date: Mon, 10 Apr 2023 12:09:00 -0600

On 12/5/19 05:02, Sorin T wrote:
> Package: x2goclient
> Version: 4.1.2.1
> 
> 
> This output is shown continuously. I have also disabled the Media and the Shared folders options.
> 
> [2019/12/05 12:21:49.755356, 1] ssh_channel_accept: No channel request of this
> type from server
> [2019/12/05 12:21:49.844514, 1] ssh_channel_accept: No channel request of this
> type from server
> [2019/12/05 12:21:49.844968, 1] ssh_channel_accept: No channel request of this
> type from server
> [2019/12/05 12:21:50.345651, 1] ssh_channel_accept: No channel request of this
> type from server
> [2019/12/05 12:21:50.846330, 1] ssh_channel_accept: No channel request of this
> type from server
> [2019/12/05 12:21:51.347011, 1] ssh_channel_accept: No channel request of this
> type from server
> [2019/12/05 12:21:51.354536, 1] ssh_channel_accept: No channel request of this
> type from server
> [2019/12/05 12:21:51.355837, 1] ssh_channel_accept: No channel request of this
> type from server
> [2019/12/05 12:21:51.358011, 1] ssh_channel_accept: No channel request of this
> type from server
> [2019/12/05 12:21:51.858687, 1] ssh_channel_accept: No channel request of this
> type from server
> [2019/12/05 12:21:52.359381, 1] ssh_channel_accept: No channel request of this
> type from server
> [2019/12/05 12:21:52.860074, 1] ssh_channel_accept: No channel request of this
> type from server
> [2019/12/05 12:21:53.360787, 1] ssh_channel_accept: No channel request of this
> type from server
> 
> It could be a ssh config problem ? I am using on client machine:
> OpenSSH_8.1p1, OpenSSL 1.1.1d  10 Sep 2019
> 
> Guest OS: Debian based
> Guest ssh version: OpenSSH_7.9p1 Debian-10, OpenSSL 1.1.1d  10 Sep 2019
> Guest x2goserver: 4.1.0.3-4

I'm seeing the same thing.

Client:
AlmaLinux 8.7
x2goclient-4.1.2.2-1.el8.x86_64
libssh-0.9.6-3.el8.x86_64

Server:
Either EL7/8
openssh-7.4p1-22.el7_9.x86_64
x2goserver-4.1.0.3-9.el7.x86_64

openssh-8.0p1-17.el8_7.x86_64
x2goserver-4.1.0.3-17.el8.1.x86_64

x2goclient --debug --libssh-debug doesn't yield any more info.

[2023/04/10 12:02:04.013887, 1] ssh_config_parse_line:  Unsupported option:
PreferredAuthentications, line: 60
[2023/04/10 12:02:04.013984, 1] ssh_config_parse_line:  Unsupported option:
ForwardAgent, line: 64
[2023/04/10 12:02:04.014018, 1] ssh_config_parse_line:  Unsupported option:
ForwardAgent, line: 67
[2023/04/10 12:02:04.014049, 1] ssh_config_parse_line:  Unsupported option:
ForwardAgent, line: 71
[2023/04/10 12:02:04.014088, 1] ssh_config_parse_line:  Unsupported option:
TCPKeepAlive, line: 77
[2023/04/10 12:02:04.025702, 1] socket_callback_connected:  Socket connection
callback: 1 (0)
[2023/04/10 12:02:04.588049, 1] ssh_key_cmp:  key types don't match!
[2023/04/10 12:02:04.588326, 1] ssh_key_cmp:  key types don't match!
[2023/04/10 12:02:04.588388, 1] ssh_key_cmp:  key types don't match!
[2023/04/10 12:02:04.694913, 1] ssh_config_parse_line:  Unsupported option:
ForwardAgent, line: 4
[2023/04/10 12:02:04.695018, 1] ssh_config_parse_line:  Unsupported option:
ForwardAgent, line: 7
[2023/04/10 12:02:04.695062, 1] ssh_config_parse_line:  Unsupported option:
ForwardAgent, line: 14
[2023/04/10 12:02:04.695093, 1] ssh_config_parse_line:  Unsupported option:
HostKeyAlias, line: 19
[2023/04/10 12:02:04.716659, 1] ssh_config_parse_line:  Unsupported option:
PreferredAuthentications, line: 60
[2023/04/10 12:02:04.716761, 1] ssh_config_parse_line:  Unsupported option:
ForwardAgent, line: 64
[2023/04/10 12:02:04.716811, 1] ssh_config_parse_line:  Unsupported option:
ForwardAgent, line: 67
[2023/04/10 12:02:04.716862, 1] ssh_config_parse_line:  Unsupported option:
ForwardAgent, line: 71
[2023/04/10 12:02:04.716904, 1] ssh_config_parse_line:  Unsupported option:
TCPKeepAlive, line: 77
[2023/04/10 12:02:08.024493, 1] ssh_channel_accept:  No channel request of
this type from server
[2023/04/10 12:02:08.027575, 1] ssh_channel_accept:  No channel request of
this type from server
[2023/04/10 12:02:08.029534, 1] ssh_channel_accept:  No channel request of
this type from server
[2023/04/10 12:02:08.030156, 1] ssh_channel_accept:  No channel request of
this type from server
[2023/04/10 12:02:08.030814, 1] ssh_channel_accept:  No channel request of
this type from server
[2023/04/10 12:02:08.031476, 1] ssh_channel_accept:  No channel request of
this type from server
....

-- 
Orion Poplawski
IT Systems Manager                         720-772-5637
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       [email-masked]
Boulder, CO 80301                 https://www.nwra.com/